Index: Fl_File_Chooser2.cxx
===================================================================
RCS file: /cvsroot/fltk/fltk/src/Attic/Fl_File_Chooser2.cxx,v
retrieving revision 1.1.2.31
diff -u -r1.1.2.31 Fl_File_Chooser2.cxx
--- Fl_File_Chooser2.cxx	26 May 2003 01:39:53 -0000	1.1.2.31
+++ Fl_File_Chooser2.cxx	3 Sep 2003 19:29:08 -0000
@@ -112,7 +112,6 @@
   int		i;		// Looping var
   int		fcount;		// Number of selected files
   const char	*filename;	// Filename in input field or list
-  char		pathname[1024];	// Full path to file
 
 
   if (!(type_ & MULTI))
@@ -134,12 +133,8 @@
     {
       // See if this file is a directory...
       filename = (char *)fileList->text(i);
-      if (directory_[0] != '\0')
-	snprintf(pathname, sizeof(pathname), "%s/%s", directory_, filename);
-      else
-	strlcpy(pathname, filename, sizeof(pathname));
 
-      if (!fl_filename_isdir(pathname))
+      if (filename[strlen(filename) - 1] != '/')
 	fcount ++;
     }
 
@@ -1027,16 +1022,19 @@
       // See if this file is a directory...
       name = fileList->text(i);
 
-      if (directory_[0]) {
-	snprintf(pathname, sizeof(pathname), "%s/%s", directory_, name);
-      } else {
-	strlcpy(pathname, name, sizeof(pathname));
-      }
-
-      if (!fl_filename_isdir(pathname)) {
-        // Nope, see if this this is "the one"...
+      if (name[strlen(name) - 1] != '/') {
+        // Not a directory, see if this this is "the one"...
 	fcount ++;
-	if (fcount == f) return (pathname);
+
+	if (fcount == f) {
+	  if (directory_[0]) {
+	    snprintf(pathname, sizeof(pathname), "%s/%s", directory_, name);
+	  } else {
+	    strlcpy(pathname, name, sizeof(pathname));
+	  }
+
+	  return (pathname);
+	}
       }
     }
 
